# TdApi.Animations

Package it.ernytech.tdlib

## Class TdApi.Animations

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Animations

Enclosing class:
  TdApi

    public static class TdApi.Animations
    extends TdApi.Object

Represents a list of animations.

### Field Summary

Fields
`TdApi.Animation[]` `animations` List of animations.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`Animations()` Default constructor.
`Animations​(TdApi.Animation[] animations)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### animations

    public TdApi.Animation[] animations

List of animations.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Animations

    public Animations()

Default constructor.

#### Animations

    public Animations​(TdApi.Animation[] animations)

Constructor for initialization of all fields.

Parameters:
  `animations` - List of animations.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR